package com.cm.common.plugin.controller.routes.tree;

import com.cm.common.base.AbstractController;
import com.cm.common.constants.ISystemConstant;
import com.cm.common.exception.ParamsException;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: TreeRouteController
 * @Description: 树结构
 * @Author: WangGeng
 * @Date: 2019-07-02 17:01
 * @Version: 1.0
 **/
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/tree")
public class TreeRouteController extends AbstractController {

    @GetMapping("tree")
    public ModelAndView tree() throws ParamsException {
        ModelAndView mv = new ModelAndView("tree/tree");
        return mv;
    }

    @GetMapping("tree/v2")
    public ModelAndView treeV2() {
        ModelAndView mv = new ModelAndView("tree/tree-v2");
        return mv;
    }

    @GetMapping("treeuser")
    public ModelAndView treeUser() {
        ModelAndView mv = new ModelAndView("tree/tree-user");
        return mv;
    }

}
